<?php

class views_handler_filter_extender_string extends views_handler_filter_string {

  /**
   * {@inheritDoc}
   */
  public function operators() {
    $operators = parent::operators();

    $operators['in'] = [
      'title' => t('Is one of'),
      'short' => t('in'),
      'method' => 'op_in',
      'values' => 1,
    ];

    return $operators;
  }

  /**
   * "in" operator method.
   */
  public function op_in($field) {
    $values = array_map('trim', explode(',', $this->value));
    $this->query->add_where($this->options['group'], $field, $values, 'in');
  }

}
